Bug 1258696 - should update the master configuration template file in the openshift-ansible
should update the master configuration template file in the openshift-ansible
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Dodson
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 23:18 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:42:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-08-31 23:18:18 EDT
Description of problem:
should update the master configuration template file in the openshift-ansible


Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-ansible.git master

How reproducible:
100%


Steps to Reproduce:
1. Install env via ansible


Actual results:
Can not start master

When restarting the master service, met the following error:
10455 flatsdn.go:35] SDN initialization failed: A network...6, 8, )

Expected results:
start master successfully.

Additional info:
The master configuration file have be changed,run 'openshift start master --write-config=test' to generate configuration file, and compare it with generated by openshift-ansible, found the following parameters are missing
assetConfig.servingInfo.bindNetwork
controllerLeaseTTL
controllers
disabledFeatures
networkConfig.serviceNetworkCIDR
pauseControllers
serviceAccountConfig.limitSecretReferences
servingInfo.bindNetwork

if not set networkConfig.serviceNetworkCIDR, can not start the master service. 
I add '  serviceNetworkCIDR: {{ openshift.master.portal_net }}' in the template file, openshift-ansible works fine
Comment 1 Scott Dodson 2015-09-09 16:10:21 EDT
The critical item should be fixed in master via
https://github.com/openshift/openshift-ansible/pull/544

Can you test with the latest master? If that works lets mark this verified and clone this bug for the additional optional items?
Comment 2 Ma xiaoqiang 2015-09-09 21:37:53 EDT
Install env successfully, move it to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.